xine-lib: avi_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
avi_t Struct Reference

## Data Fields
int32_t | width
int32_t | height
uint32_t | dwInitialFrames
uint32_t | dwScale
uint32_t | dwRate
uint32_t | dwStart
double | fps
uint32_t | compressor
uint32_t | video_strn
char | video_tag [4]
uint32_t | video_posf
uint32_t | video_posb
avi_audio_t * | audio [8]
int | n_audio
uint32_t | video_type
uint32_t | n_idx
uint32_t | max_idx
unsigned char(* | idx )[16]
video_index_t | video_idx
xine_bmiheader * | bih
off_t | movi_start
off_t | movi_end
int | palette_count
palette_entry_t | palette [256]
int | is_opendml
avisuperindex_chunk * | video_superindex
int | total_frames

## Field Documentation

## ◆ audio

avi_audio_t* avi_t::audio[8]

Referenced by AVI_init().

## ◆ bih

xine_bmiheader* avi_t::bih

## ◆ compressor

uint32_t avi_t::compressor

## ◆ dwInitialFrames

uint32_t avi_t::dwInitialFrames

## ◆ dwRate

uint32_t avi_t::dwRate

## ◆ dwScale

uint32_t avi_t::dwScale

## ◆ dwStart

uint32_t avi_t::dwStart

## ◆ fps

double avi_t::fps

## ◆ height

int32_t avi_t::height

## ◆ idx

unsigned char(* avi_t::idx)[16]

## ◆ is_opendml

int avi_t::is_opendml

## ◆ max_idx

uint32_t avi_t::max_idx

## ◆ movi_end

off_t avi_t::movi_end

## ◆ movi_start

off_t avi_t::movi_start

Referenced by AVI_init().

## ◆ n_audio

int avi_t::n_audio

Referenced by AVI_init().

## ◆ n_idx

uint32_t avi_t::n_idx

## ◆ palette

palette_entry_t avi_t::palette[256]

## ◆ palette_count

int avi_t::palette_count

## ◆ total_frames

int avi_t::total_frames

## ◆ video_idx

video_index_t avi_t::video_idx

Referenced by audio_cur_index_entry(), and AVI_init().

## ◆ video_posb

uint32_t avi_t::video_posb

## ◆ video_posf

uint32_t avi_t::video_posf

Referenced by audio_cur_index_entry().

## ◆ video_strn

uint32_t avi_t::video_strn

## ◆ video_superindex

avisuperindex_chunk* avi_t::video_superindex

## ◆ video_tag

char avi_t::video_tag[4]

## ◆ video_type

uint32_t avi_t::video_type

## ◆ width

int32_t avi_t::width

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_avi.c